Bug 227377 - devel/gitphp: allow building with php7+
Summary: devel/gitphp: allow building with php7+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2018-04-08 16:35 UTC by Daniel Austin
Modified: 2018-05-25 20:02 UTC (History)
0 users

See Also:


Attachments
fix build on php7+ (906 bytes, patch)
2018-04-08 16:35 UTC, Daniel Austin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Austin 2018-04-08 16:35:41 UTC
Created attachment 192344 [details]
fix build on php7+

Allow building with PHP7+ due to dependancy version differences between 5.6 and 7+
This breaks poudriere builds where php7+ is set as default PHP version.

Also, set port to no-arch.

(i'm not interested in maintaining this port, I just want my poudriere builds not to break)
Comment 1 Daniel Austin 2018-04-08 16:41:56 UTC
I forgot...

Poudriere testport logs for 10.4/11.1 i386/amd64 located at:

https://poudriere.dan.tm/poudriere/data/latest-per-pkg/gitphp/0.2.8_1/
Comment 2 commit-hook freebsd_committer 2018-05-25 20:00:53 UTC
A commit references this bug:

Author: swills
Date: Fri May 25 20:00:46 UTC 2018
New revision: 470861
URL: https://svnweb.freebsd.org/changeset/ports/470861

Log:
  devel/gitphp: allow building with php7+

  PR:		227377
  Submitted by:	Daniel Austin <freebsd-ports@dan.me.uk>

Changes:
  head/devel/gitphp/Makefile
Comment 3 Steve Wills freebsd_committer 2018-05-25 20:02:18 UTC
Committed, thanks for the patch. You're welcome to take over as maintainer of this port if you want.